* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Kanit", sans-serif;
}
body {
  background-image: url("../img/bg.webp");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 100vh;
  width: 100%;
  overflow-x: hidden;
}

a {
  text-decoration: none;
}
p b {
  background: -webkit-linear-gradient(#feca00 38%, #d07800 74%, #ff9300 91%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
p {
  color: #000;
}
p strong {
  color: #dc3545;
}
p strong a {
  color: #00ffb7;
  text-decoration: none !important;
}
p a {
  text-decoration: underline;
  color: rgb(255, 0, 0);
}
p a:hover {
  opacity: 0.5;
  transition: 0.3s;
}
p em {
  color: #ff00bc;
}
p u {
  color: rgb(255, 230, 0);
}
.gray {
  color: #c1c1c1;
}
.gray2 {
  color: #818181;
}
h1 {
  font-size: 3em !important;
  color: #000000;
}

h2 {
  font-size: 2.5em !important;
  color: #000000;
}
h3 {
  font-size: 2em !important;
  color: #000000;
}

h4 {
  font-size: 1.85em !important;
  color: #000000;
}
h5 {
  font-size: 1.65em !important;
  color: #000000;
}
.toc-title {
  text-align: center;
  font-weight: 700;
  margin: 0;
  padding: 0;
  visibility: hidden;
  position: relative;
  justify-content: center;
}

.toc-title:after {
  visibility: visible;
  display: flex;
  justify-content: center;
  content: "สารบัญ";
}

.widget-toc {
  display: table;
  background-color: #fff;
  padding-right: 1rem;
  font-size: 100%;
  border: 1px solid #424242;
  border-radius: 8px;
  /* line-break: anywhere; */
}
.widget-toc a {
  color: #000000;
  text-decoration: underline !important;
}
.widget-toc ol {
  padding-right: 0px;
  counter-reset: item;
}
.widget-toc ol li {
  display: block;
  position: relative;
}
.widget-toc ol li:before {
  content: counters(item, ".");
  counter-increment: item;
  position: absolute;
  margin-right: 100%;
  right: 0.5rem;
  inline-size: max-content;
}
.news-boxs p,
.news-boxs h2,
.news-boxs h3,
.news-boxs h4,
.news-boxs .widget-toc {
  line-break: anywhere;
}
.header {
  background-color: #f6faff;
  padding: 10px 0;
}
.logo {
  max-width: 100%;
  display: block;
  margin: auto;
}
.form-login-main input {
  text-indent: 1.2em;
  margin-right: 10px;
  padding: 8px 20px;
  color: #000;
  border: 0;
  background-color: #aab7cc;
  border-radius: 0.2em;
  box-shadow: 0 0 1px #000;
}
.form-login-main button {
  box-shadow: 0.1em 0.2em 10px 0.4px #000;
  background-color: #576da8;
  color: #fff;
  padding: 8px 10px;
  border: none;
  border-radius: 10px;
}
.form-login-main button:hover {
  background-color: #fff;
  color: #000;
  transition: 0.3s;
}
.form-login-main {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}
.text-register {
  text-align: center;
}
.text-register .btn-reg {
  padding: 8px 4px;
  border-radius: 0.5em;
  background: linear-gradient(to right, #ff1916, #ff8526);
  box-shadow: 0.1em 0.2em 10px 0.4px #000;
  color: #fff;
}
.text-register .btn-reg:hover {
  background-size: 200% 200%;
  background: linear-gradient(to left, #ff1916, #ff8526);

  -webkit-animation: Animation 5s ease infinite;
  -moz-animation: Animation 5s ease infinite;
  animation: Animation 5s ease infinite;
}
.navbar-nav .nav-link {
  color: #000;
  background-color: #fff;
}
.navbar-nav .nav-link:hover {
  color: #fff;
  background-color: #000;
}
@-webkit-keyframes Animation {
  0% {
    background-position: 10% 0%;
  }
  50% {
    background-position: 91% 100%;
  }
  100% {
    background-position: 10% 0%;
  }
}
@-moz-keyframes Animation {
  0% {
    background-position: 10% 0%;
  }
  50% {
    background-position: 91% 100%;
  }
  100% {
    background-position: 10% 0%;
  }
}
@keyframes Animation {
  0% {
    background-position: 10% 0%;
  }
  50% {
    background-position: 91% 100%;
  }
  100% {
    background-position: 10% 0%;
  }
}
::-webkit-input-placeholder {
  font-size: 18px;
  color: black;
  font-style: italic;
}
:-moz-placeholder {
  font-size: 18px;
  color: black;
  font-style: italic;
}
::-moz-placeholder {
  font-size: 18px;
  color: black;
  font-style: italic;
}
:-ms-input-placeholder {
  font-size: 18px;
  color: black;
  font-style: italic;
}
.icon-userpass {
  filter: invert(100%);
  position: absolute;
  top: 5%;
  left: 1%;
}
.nav-side {
  display: block;
}
.nav-side a {
  color: #000;
  padding: 15px 0;
  text-align: center;
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgb(0 0 0 / 0%);
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-property: transform;
  transition-property: transform;
}
.nav-side a:hover {
  color: #fff;
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}
.text-slide {
  padding: 1em;
  background-color: #9da7bb;
}
/* ********************************* */
.text-bold {
  background: linear-gradient(to right, #d6ff8c 10%, #f96650 50%, #4677da 20%);
  background-size: auto auto;
  background-clip: border-box;
  background-size: 200% auto;
  color: #fff;
  background-clip: text;
  text-fill-color: transparent;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: textclip 1.5s linear infinite;
}
@keyframes textclip {
  to {
    background-position: 200% center;
  }
}
.bg-content_1 {
  background: linear-gradient(to right, #ad81db 40%, #f3b0ed);
  border-radius: 1em;
}
.bg-content_2 {
  background: linear-gradient(to right, #9ce362, #4da3c1);
  border-radius: 1em;
}
.bg-content_3 {
  background: linear-gradient(to left, #c66588, #fe93de, #e97ba9);
  border-radius: 1em;
}
.bg-content_4 {
  background: linear-gradient(to right, #9f8fff, #8eaefe, #83c5ff);
  border-radius: 1em;
}
.bg-content_5 {
  background: linear-gradient(to right, #5e81e0, #61a2ee, #65b9f3);
  border-radius: 1em;
}

.img-posi {
  position: absolute;
  bottom: -3%;
  left: -10%;
}
.img-posi2 {
  position: absolute;
  right: 0%;
  bottom: 5% !important;
}
.img-posi3 {
  position: absolute;
  left: -5%;
  bottom: 5% !important;
}
ul.marker {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
.txt-int {
  text-indent: 1em;
}
.relative {
  position: relative;
}
/* ***********article******************** */
.box-article {
  background-color: #88a8d1;
  border-radius: 2em;
  padding: 1em;
}

.color-size a {
  font-size: 2em !important;
  color: white;
}
.news-articles-h4 {
  display: flex;
  justify-content: center;
  font-size: 1.65em;
  color: black;
}
.bg-art {
  background-color: white;
  border-radius: 20px;
  overflow: hidden;
  border: 4px solid black;
  text-align: center;
}
.content-bg {
  background-color: white;
  border-radius: 20px;
  margin: 0.5em;
  overflow: hidden;
  border: 4px solid black;
  text-align: center;
}
.box-articles {
  color: #474747;
}
.box-articles i {
  color: #8c3c01;
}
.news-articles-span {
  color: #a86b19;
}
.news-articles-span:hover {
  opacity: 0.5;
}
/*  ****************end css  article************* */

/* footer */
footer {
  background: linear-gradient(to right, #a68dc3, #84abd3, #90bfb6);
}
.footer-wave-svg {
  background-color: transparent;
  display: block;
  height: 30px;
  position: relative;
  top: -1px;
  width: 100%;
}
.footer-wave-path {
  fill: #b3cff1;
}

.box-footer {
  display: block;
  text-align: center;
}
.box-footer img {
  max-width: 100%;
  display: inline-block;
  margin: 0 40px;
}
.nav-link-footer {
  display: block;
  text-align: center;
  padding: 20px 0;
}
.nav-link-footer a {
  display: inline-block;
  color: white;
  font-size: 18px;
  margin: 0 20px;
}
.nav-link-footer a.active-link {
  color: red;
}
.nav-link-footer a:hover {
  opacity: 0.3;
  transition: 0.5s;
}
/* end footer */

/* hambergur */

svg {
  height: 80px;
  position: absolute;
  width: 60px;
}
.plates {
  display: flex;
  flex-wrap: wrap;
  max-height: 160px;
  width: 640px;
}
@media (max-width: 640px) {
  .plates {
    width: 320px;
  }
}
.plate {
  height: 80px;
  width: 80px;
  cursor: pointer;
}
.burger {
  filter: url(#gooeyness);
}
.x {
  transform: scale(0);
  transition: transform 400ms;
}
.line {
  fill: none;
  stroke: #000;
  stroke-width: 6px;
  stroke-linecap: round;
  stroke-linejoin: round;
  transform-origin: 50%;
  transition: stroke-dasharray 500ms 200ms, stroke-dashoffset 500ms 200ms,
    transform 500ms 200ms;
}
.x .line {
  stroke-width: 5.5px;
}

.plate4 .x {
  transition: transform 400ms;
}
.plate4 .line {
  transform-origin: 50%;
  transition: transform 400ms 100ms;
}
.active.plate4 .line {
  transition: transform 400ms;
}
.active.plate4 .line1 {
  transform: translateX(18px) translateY(-3px) rotate(-45deg) scale(0.7);
}
.active.plate4 .line2 {
  transform: translateX(-18px) translateY(-3px) rotate(45deg) scale(0.7);
}
.active.plate4 .line3 {
  transform: translateY(0px) rotate(45deg) scale(0.7);
}
.active.plate4 .line4 {
  transform: translateY(0px) rotate(-45deg) scale(0.7);
}
.active.plate4 .line5 {
  transform: translateX(18px) translateY(3px) rotate(45deg) scale(0.7);
}
.active.plate4 .line6 {
  transform: translateX(-18px) translateY(3px) rotate(-45deg) scale(0.7);
}
.active.plate4 .x {
  transition: transform 400ms 100ms;
  transform: scale(1);
}
.marquee_ctm {
  background: #fff;
  border-radius: 1em;
  padding: 0.3em;
}
/* /!  */
.qustion strong {
  font-size: 1.5em;
}
.site {
  color: #f00;
  text-align: center;
}

.box-name-tag p {
  display: inline-block;
  font-size: 20px;
  font-weight: 600;
  color: #1013a2 !important;
}
.box-name-tag a {
  padding: 3px 35px;
  border: 1px solid black;
  border-radius: 50px;
  margin: 0 5px;
  color: white;
  background-color: #4d4d4d;
}
.open {
  display: none;
}
.sidenav {
  display: none;
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  background-image: linear-gradient(rgb(0, 0, 0, 0.9), rgb(0, 0, 0, 0.9));
  overflow-x: auto;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav a {
  padding: 8px 8px 8px 18px;
  text-decoration: none;
  font-size: 1.5em;
  color: #ffffff;
  display: block;
  transition: 0.3s;
}
.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
  color: white !important;
}
.box-sidenav {
  padding: 0 10px;
}
.btn-botoom {
  border-bottom: 2px solid whitesmoke;
}
.error {
  min-height: 60vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #42413f;
}
.error strong {
  font-size: 3em;
  color: red;
  text-shadow: 2px 2px 2px black;
}
.error b {
  font-size: 5em;
  color: black;
  text-shadow: 2px 2px 2px white;
}
.error p {
  font-size: 2em;
}
.error a {
  color: #00ff10;
  text-decoration: underline;
}

/* css rasponsive *********************************/
.navbar_menu {
  position: relative;
  display: block;
  margin: auto;
  text-align: center;
  right: 0 !important;
  top: 0 !important;
  background-color: #9da7bb;
  overflow: auto;
  padding: 10px;
}
.nav-side img {
  display: none !important;
}
.nav-side a {
  display: inline-block;
  margin: 0 10px;
  padding: 5px 15px;
}
@media (max-width: 1260px) {
  .nav-side a {
    display: inline-block;
    margin: 0 5px;
    padding: 5px 10px;
  }
  .img-posi2 {
    right: -10%;
  }
  .img-posi3 {
    left: -20%;
  }
}
@media (max-width: 992px) {
  .navbar_menu {
    display: none;
  }
  .collapse:not(.show) {
    display: none !important;
  }
  .img-posi,
  .img-posi2,
  .img-posi3 {
    position: relative;
    left: 0;
    bottom: 0;
    right: 0;
    top: 0;
  }
  .logo {
    max-width: 60%;
  }
  .form-login-main {
    width: 80%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  .form-login-main input {
    width: 100%;
    margin-right: 0;
    padding: 8px 20px;
    font-size: 18px;
    color: black;
    border: 0;
    background-color: white;
    border-radius: 50px;
    box-shadow: 0 0 1px black;
    margin-bottom: 10px;
  }
  .form-login-main button {
    padding: 0px 10px;
    background-color: #4d4d4d;
    border: 0;
    border-radius: 1em;
    font-size: 22px;
    margin-bottom: 10px;
  }
  .text-register a {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 1.5em !important;
    width: 80%;
    margin: auto;
  }
  .open {
    display: block;
    position: absolute;
    font-size: 30px;
    cursor: pointer;
    color: white;
    z-index: 1;
    padding: 5px;
    top: 0;
    left: 5px;
  }
  .sidenav {
    display: block;
  }
}
@media (max-width: 480px) {
  .form-login-main {
    width: 100%;
  }
}
/* footer nav sticky  */
.nav-footer {
  z-index: 9999;
  display: none;
}
.logo-sticky {
  margin-top: -1rem;
  margin-left: -1rem;
}
.img-nav-sticky {
  width: 130%;
}

@media only screen and (max-width: 800px) {
  .nav-footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    background: linear-gradient(to bottom, #aeccef, #ffffff);
    left: 0;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
    height: 70px;
    box-shadow: 0px -3px 18px 0px #00000096;
    backdrop-filter: blur(5px);
  }
  .nav-footer-col4 {
    width: 25%;
    float: left;
    text-align: center;
  }
  .col4-top img {
    filter: invert(100%);
  }
  .col4-bottom {
    font-size: 14px;
    color: #000;
    letter-spacing: 1px;
    font-weight: 300;
  }
  .nav-footer {
    display: block;
  }
}
